Skip to main content
PATCH
/
v2
/
admin
/
call-campaigns
/
{campaignId}
Update Campaign
curl --request PATCH \
  --url https://api.voxo.co/v2/admin/call-campaigns/{campaignId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "id": 123,
  "tenantId": 123,
  "name": "<string>",
  "type": "<string>",
  "dateStart": "<string>",
  "dateEnd": "<string>",
  "callerId": "<string>",
  "callDelay": 123,
  "state": "<string>",
  "lastrun": "<string>",
  "dialtimeout": 123,
  "tech": "<string>",
  "message": "<string>",
  "timeStart": "<string>",
  "timeEnd": "<string>",
  "timezone": "<string>",
  "callFrequency": 123,
  "callHoursStart": "<string>",
  "callHoursEnd": "<string>",
  "recording": "<string>",
  "numbers": [
    {
      "number": "<string>",
      "description": "<string>",
      "disposition": "<string>"
    }
  ],
  "destinations": [
    {
      "typeSrc": "<string>",
      "destType": "<string>",
      "id": 123,
      "order": 123
    }
  ],
  "enableVMDetect": 123,
  "matchDestinations": [
    {
      "typeSrc": "<string>",
      "destType": "<string>",
      "id": 123,
      "order": 123
    }
  ],
  "notMatchDestinations": [
    {
      "typeSrc": "<string>",
      "destType": "<string>",
      "id": 123,
      "order": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaignId
number
required

Campaign ID

Required range: x > 0

Body

application/json
name
string

Campaign name

Minimum string length: 3
tech
enum<string>

Campaign technology type

Available options:
VOICE
state
enum<string>

Campaign state

Available options:
READY,
PAUSED
dateStart
string

Start date (YYYY-MM-DD)

Pattern: ^([1-9]\d{3})-(0[1-9]|1[0-2])-(0[1-9]|[1-2]\d|3[0-1])$
timeStart
string

Start time (HH:MM)

Pattern: ^([01]\d|2[0-3]):([0-5]\d)$
dateEnd
string

End date (YYYY-MM-DD)

Pattern: ^([1-9]\d{3})-(0[1-9]|1[0-2])-(0[1-9]|[1-2]\d|3[0-1])$
timeEnd
string

End time (HH:MM)

Pattern: ^([01]\d|2[0-3]):([0-5]\d)$
callerId
string

Caller ID phone number

Pattern: ^[1-9]\d{9}$
recording

Enable call recording (yes/no)

Available options:
yes
message
string

Campaign message

numbers
object[]

Phone numbers to call

destinations
object[]

Routing destinations on connect

timezone
string

IANA timezone identifier

callFrequency
number

Call frequency in seconds (minimum 10)

Required range: x > 9
matchDestinations
object[]

VM detect match destinations

notMatchDestinations
object[]

VM detect no-match destinations

enableVMDetect
string

Enable voicemail detection (1 = yes, 0 = no)

callHoursStart
string

Calling hours start time (HH:MM)

Pattern: ^([01]\d|2[0-3]):([0-5]\d)$
callHoursEnd
string

Calling hours end time (HH:MM)

Pattern: ^([01]\d|2[0-3]):([0-5]\d)$

Response

Updated campaign

id
number
required

Campaign ID

tenantId
number
required

Tenant ID

name
string
required

Campaign name

type
string
required

Campaign type

dateStart
string | null
required

Start date

dateEnd
string | null
required

End date

callerId
string | null
required

Caller ID phone number

callDelay
number | null
required

Delay between calls in ms

state
string | null
required

Campaign state

lastrun
string | null
required

Last run timestamp

dialtimeout
number | null
required

Dial timeout in seconds

tech
string | null
required

Technology type

message
string | null
required

Campaign message

timeStart
string | null
required

Start time

timeEnd
string | null
required

End time

timezone
string | null
required

IANA timezone

callFrequency
number | null
required

Call frequency in seconds

callHoursStart
string | null
required

Calling hours start

callHoursEnd
string | null
required

Calling hours end

recording
string | null
required

Recording enabled (yes/no)

numbers
object[]
required

Campaign phone numbers

destinations
object[]
required

Routing destinations

enableVMDetect
number
required

VM detection enabled (1/0)

matchDestinations
object[]
required

VM detect match destinations

notMatchDestinations
object[]
required

VM detect no-match destinations